package com.yunzhi.marketing.service;

import com.yunzhi.marketing.base.ResponseBean;
import com.yunzhi.marketing.bo.request.ActivityStatisticResponseBO;
import com.yunzhi.marketing.mapper.ActivityManageMapper;
import com.yunzhi.marketing.service.impl.ActivityManageServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author gusy
 * @date 2020/4/26 11:14
 */
@Service
public class IActivityManageService implements ActivityManageServiceImpl {

    @Autowired
    private ActivityManageMapper activityManageMapper;

    @Override
    public ResponseBean getStatisticDataByType(String type, String id, Integer orgId) {
        ResponseBean responseBean = new ResponseBean();
        ActivityStatisticResponseBO responseBO = activityManageMapper.getStatisticDataByType(type, id,orgId);
        responseBean.addSuccess(responseBO);
        return responseBean;
    }
}
